## graphviz 2.40.1

=== contrib/pangotest/Makefile ===
CFLAGS = `pkg-config --cflags pangocairo` -Wall -O0 -g
LDFLAGS = `pkg-config --libs pangocairo`

pangotest: pangotest.c

test: pangotest
	./pangotest Ay Times 64 >`uname -s`.png

clean:
	rm -f pangotest *.png

=== windows/prebuild/Makefile ===
# tools

WGET=wget
MAKE=make
TAR=tar
STRIP=strip

# local

LOCAL=$(CURDIR)/usr/local
LOCAL_INCLUDE=$(LOCAL)/include
LOCAL_LIB=$(LOCAL)/lib
LOCAL_BIN=$(LOCAL)/bin

# tool URL
UNZIP_BIN_URL=ftp://ftp.info-zip.org/pub/infozip/win32/unz552xn.exe
PKGCONFIG_BIN_URL=http://ftp.gnome.org/pub/gnome/binaries/win32/dependencies/pkg-config-0.23-2.zip
GLIB_BIN_URL=http://ftp.gnome.org/pub/gnome/binaries/win32/glib/2.16/glib-2.16.3.zip
FLEX_BIN_URL=http://downloads.sourceforge.net/gnuwin32/flex-2.5.4a-1-bin.zip
BYACC_BIN_URL=http://downloads.sourceforge.net/gnuwin32/byacc-1.9-1-bin.zip

# package URL
ICONV_URL=http://yukihiro.nakadaira.googlepages.com/win_iconv.zip
ZLIB_URL=http://www.zlib.net/zlib-1.2.3.tar.gz
EXPAT_URL=http://downloads.sourceforge.net/expat/expat-2.0.1.tar.gz
FREETYPE_URL=http://downloads.sourceforge.net/freetype/freetype-2.3.5.tar.gz
FONTCONFIG_URL=http://fontconfig.org/release/fontconfig-2.5.91.tar.gz
PNG_URL=http://prdownloads.sourceforge.net/libpng/libpng-1.2.26.tar.gz
GD_URL=http://www.libgd.org/releases/gd-2.0.35.tar.gz
PIXMAN_URL=http://cairographics.org/releases/pixman-0.10.0.tar.gz
CAIRO_URL=http://cairographics.org/releases/cairo-1.6.4.tar.gz
GETTEXT_URL=ftp://mirrors.kernel.org/gnu/gettext/gettext-0.17.tar.gz
GLIB_URL=http://ftp.gnome.org/pub/GNOME/sources/glib/2.16/glib-2.16.3.tar.gz
PANGO_URL=http://ftp.gnome.org/pub/GNOME/sources/pango/1.20/pango-1.20.2.tar.gz

# tools
UNZIP_BIN=unzip.exe
PKGCONFIG_BIN=pkg-config.exe
GLIB_BIN=libglib-2.0-0.dll
FLEX_BIN=flex.exe
YACC_BIN=yacc.exe

# libraries
ICONV=libiconv.dll.a
ZLIB=libz.dll.a
EXPAT=libexpat.la
FREETYPE=libfreetype.la
FONTCONFIG=libfontconfig.la
PNG=libpng.dll.a
GD=libgd.la
PIXMAN=libpixman-1.la
CAIRO=libcairo.la
INTL=libintl.la
GLIB=libglib-2.0.la
PANGO=libpango-1.0.la

# tool archives
UNZIP_BIN_EXE=$(notdir $(UNZIP_BIN_URL))
PKGCONFIG_BIN_ZIP=$(notdir $(PKGCONFIG_BIN_URL))
GLIB_BIN_ZIP=$(notdir $(GLIB_BIN_URL))
FLEX_BIN_ZIP=$(notdir $(FLEX_BIN_URL))
BYACC_BIN_ZIP=$(notdir $(BYACC_BIN_URL))

# library directories
dirname=$(basename $(basename $(notdir $(1))))
ICONV_DIR=$(call dirname, $(ICONV_URL))
ZLIB_DIR=$(call dirname, $(ZLIB_URL))
EXPAT_DIR=$(call dirname, $(EXPAT_URL))
FREETYPE_DIR=$(call dirname, $(FREETYPE_URL))
FONTCONFIG_DIR=$(call dirname, $(FONTCONFIG_URL))
PNG_DIR=$(call dirname, $(PNG_URL))
GD_DIR=$(call dirname, $(GD_URL))
PIXMAN_DIR=$(call dirname, $(PIXMAN_URL))
CAIRO_DIR=$(call dirname, $(CAIRO_URL))
GETTEXT_DIR=$(call dirname, $(GETTEXT_URL))
GLIB_DIR=$(call dirname, $(GLIB_URL))
PANGO_DIR=$(call dirname, $(PANGO_URL))

#
# target
#
# --prefix to dump results into usr/local not /usr/local
# --disable-dependency-tracking since this is one-off build
# --enable-static=no since this doesn't build static libraries
# --enable-shared=yes since this builds dynamic libraries
# -O2 to optimize code for speed and performance
# -mms-bitfields to use Microsoft bit field layout

BASE_CONFIG=--prefix=$(LOCAL) --disable-dependency-tracking --enable-static=no --enable-shared=yes PKG_CONFIG="$(LOCAL_BIN)/$(PKGCONFIG_BIN)"
FLAG_CONFIG=CFLAGS="-O2 -mms-bitfields -I$(LOCAL_INCLUDE)" LDFLAGS="-L$(LOCAL_LIB)"

install: $(LOCAL_LIB)/$(PANGO) $(LOCAL_LIB)/$(GD) $(LOCAL_BIN)/$(FLEX_BIN) $(LOCAL_BIN)/$(YACC_BIN)

uninstall:
	$(MAKE) -C $(PANGO_DIR) uninstall
	$(MAKE) -C $(GLIB_DIR) uninstall
	$(MAKE) -C $(GETTEXT_DIR) uninstall
	$(MAKE) -C $(CAIRO_DIR) uninstall
	$(MAKE) -C $(PIXMAN_DIR) uninstall
	$(MAKE) -C $(GD_DIR) uninstall
	rm -rf $(LOCAL_BIN)/*png* $(LOCAL_INCLUDE)/*png* $(LOCAL_LIB)/*png* $(LOCAL_LIB)/pkgconfig/*png*
	$(MAKE) -C $(FONTCONFIG_DIR) uninstall
	$(MAKE) -C $(FREETYPE_DIR) uninstall
	$(MAKE) -C $(EXPAT_DIR) uninstall
	$(MAKE) -C $(ZLIB_DIR) uninstall
	rm -rf $(LOCAL_BIN)/*iconv* $(LOCAL_INCLUDE)/*iconv* $(LOCAL_LIB)/*iconv*
	rm -rf $(LOCAL_BIN)/$(PKGCONFIG_BIN)
	rm -rf $(LOCAL_BIN)/$(GLIB_BIN)
	rm -rf $(LOCAL_BIN)/flex.exe
	rm -rf $(LOCAL_BIN)/flex++.exe
	rm -rf $(LOCAL_BIN)/$(YACC_BIN)
	
distclean:
	$(MAKE) -C $(PANGO_DIR) distclean
	$(MAKE) -C $(GLIB_DIR) distclean
	$(MAKE) -C $(GETTEXT_DIR) distclean
	$(MAKE) -C $(CAIRO_DIR) distclean
	$(MAKE) -C $(PIXMAN_DIR) distclean
	$(MAKE) -C $(GD_DIR) distclean
	$(MAKE) -C $(PNG_DIR) clean
	$(MAKE) -C $(FONTCONFIG_DIR) distclean
	$(MAKE) -C $(FREETYPE_DIR) distclean
	$(MAKE) -C $(EXPAT_DIR) distclean
	$(MAKE) -C $(ZLIB_DIR) -f win32/Makefile.gcc clean
	$(MAKE) -C $(ICONV_DIR) clean

#
# pango
#
# --with-included-modules=yes to embed pango modules within pango itself
# patch to run installed instead of local pango-querymodules, otherwise dependent DLL won't load

$(LOCAL_LIB)/$(PANGO): $(PANGO_DIR)/pango/$(PANGO)
	@echo
	@echo INSTALLING PANGO...
	@echo
	$(MAKE) -C $(PANGO_DIR) install-strip

$(PANGO_DIR)/pango/$(PANGO): $(PANGO_DIR)/Makefile
	@echo
	@echo MAKING PANGO...
	@echo
	if [[ -e $@ ]]; then $(MAKE) -C $(PANGO_DIR) clean; fi && \
	PATH="$$PATH:/$(LOCAL_BIN)" && $(MAKE) -C $(PANGO_DIR)
	
$(PANGO_DIR)/Makefile: $(LOCAL_LIB)/$(CAIRO) $(LOCAL_LIB)/$(GLIB) | $(LOCAL_BIN)/$(PKGCONFIG_BIN) $(PANGO_DIR)/configure
	@echo
	@echo CONFIGURING PANGO...
	@echo
	cd $(PANGO_DIR) && ./configure $(BASE_CONFIG) $(FLAG_CONFIG) --with-included-modules=yes

$(PANGO_DIR)/configure: | $(PANGO_DIR).tar.gz
	@echo
	@echo UNTARRING PANGO...
	@echo
	$(TAR) xzf $| && patch -p0 <pango.patch
		
$(PANGO_DIR).tar.gz:
	@echo
	@echo TRANSFERRING PANGO...
	@echo
	$(WGET) $(PANGO_URL) || rm -f $(PANGO_DIR).tar.gz

#
# glib
#
# path to installed gettext tools msgfmt and xgettext
# make glib DLL first, then copy over dependent DLL's and finally make everything else, so that glib-genmarshal will have the right DLL's to run

$(LOCAL_LIB)/$(GLIB): $(GLIB_DIR)/glib/$(GLIB)
	@echo
	@echo INSTALLING GLIB...
	@echo
	$(MAKE) -C $(GLIB_DIR) install-strip
	
$(GLIB_DIR)/glib/$(GLIB): $(GLIB_DIR)/Makefile
	@echo
	@echo MAKING GLIB...
	@echo
	if [[ -e $@ ]]; then $(MAKE) -C $(GLIB_DIR) clean; fi && \
	$(MAKE) -C $(GLIB_DIR)/glib && mkdir $(GLIB_DIR)/gobject/.libs && cp $(GLIB_DIR)/glib/.libs/libglib-2.0-0.dll $(GLIB_DIR)/gobject/.libs/ && cp $(LOCAL_BIN)/libintl-8.dll $(GLIB_DIR)/gobject/.libs/ && cp $(LOCAL_BIN)/iconv.dll $(GLIB_DIR)/gobject/.libs/ && $(MAKE) -C $(GLIB_DIR) 
	
$(GLIB_DIR)/Makefile: $(LOCAL_LIB)/$(INTL) |  $(LOCAL_BIN)/$(PKGCONFIG_BIN) $(GLIB_DIR)/configure 
	@echo
	@echo CONFIGURING GLIB...
	@echo
	cd $(GLIB_DIR) && ./configure $(BASE_CONFIG) $(FLAG_CONFIG) MSGFMT="/$(LOCAL_BIN)/msgfmt" XGETTEXT="/$(LOCAL_BIN)/xgettext"
	
$(GLIB_DIR)/configure: | $(GLIB_DIR).tar.gz
	@echo
	@echo UNTARRING GLIB...
	@echo
	$(TAR) xzf $|
	
$(GLIB_DIR).tar.gz:
	@echo
	@echo TRANSFERRING GLIB...
	@echo
	$(WGET) $(GLIB_URL) || rm -f $(GLIB_DIR).tar.gz

#
# gettext
#
# actually tries to run code linked to iconv.dll, so we need to copy it over first
# patch to correct uninitialized _nl_msg_cat_cntr

$(LOCAL_LIB)/$(INTL): $(GETTEXT_DIR)/gettext-runtime/intl/$(INTL)
	@echo
	@echo INSTALLING GETTEXT...
	@echo
	$(MAKE) -C $(GETTEXT_DIR) install-strip
	
$(GETTEXT_DIR)/gettext-runtime/intl/$(INTL): $(GETTEXT_DIR)/Makefile
	@echo
	@echo MAKING GETTEXT...
	@echo
	if [[ -e $@ ]]; then $(MAKE) -C $(GETTEXT_DIR) clean; fi && \
	$(MAKE) -C $(GETTEXT_DIR)
	
$(GETTEXT_DIR)/Makefile: $(LOCAL_LIB)/$(ICONV) | $(GETTEXT_DIR)/configure
	@echo
	@echo CONFIGURING GETTEXT...
	@echo
	cd $(GETTEXT_DIR) && cp $(LOCAL_BIN)/iconv.dll gettext-runtime/ && cp $(LOCAL_BIN)/iconv.dll gettext-tools/ && ./configure $(BASE_CONFIG) $(FLAG_CONFIG)
	
$(GETTEXT_DIR)/configure: | $(GETTEXT_DIR).tar.gz
	@echo
	@echo UNTARRING GETTEXT...
	@echo
	$(TAR) xzf $| && patch -p0 <gettext.patch
	
$(GETTEXT_DIR).tar.gz:
	@echo
	@echo TRANSFERRING GETTEXT...
	@echo
	$(WGET) $(GETTEXT_URL) || rm -f $(GETTEXT_DIR).tar.gz

#
# cairo
#

$(LOCAL_LIB)/$(CAIRO): $(CAIRO_DIR)/src/$(CAIRO)
	@echo
	@echo INSTALLING CAIRO...
	@echo
	$(MAKE) -C $(CAIRO_DIR) install-strip
	
$(CAIRO_DIR)/src/$(CAIRO): $(CAIRO_DIR)/Makefile
	@echo
	@echo MAKING CAIRO...
	@echo
	if [[ -e $@ ]]; then $(MAKE) -C $(CAIRO_DIR) clean; fi && \
	$(MAKE) -C $(CAIRO_DIR)
	
$(CAIRO_DIR)/Makefile: $(LOCAL_LIB)/$(PIXMAN) $(LOCAL_LIB)/$(PNG) $(LOCAL_LIB)/$(FONTCONFIG) | $(LOCAL_BIN)/$(PKGCONFIG_BIN) $(CAIRO_DIR)/configure
	@echo
	@echo CONFIGURING CAIRO...
	@echo
	cd $(CAIRO_DIR) && ./configure $(BASE_CONFIG) $(FLAG_CONFIG) 

$(CAIRO_DIR)/configure: | $(CAIRO_DIR).tar.gz
	@echo
	@echo UNTARRING CAIRO...
	@echo
	$(TAR) xzf $|
	
$(CAIRO_DIR).tar.gz:
	@echo
	@echo TRANSFERRING CAIRO...
	@echo
	$(WGET) $(CAIRO_URL) || rm -f $(CAIRO_DIR).tar.gz

#
# pixman
#
# patch to use -no-undefined libtool option to force DLL creation

$(LOCAL_LIB)/$(PIXMAN): $(PIXMAN_DIR)/pixman/$(PIXMAN)
	@echo
	@echo INSTALLING PIXMAN...
	@echo
	$(MAKE) -C $(PIXMAN_DIR) install-strip
	
$(PIXMAN_DIR)/pixman/$(PIXMAN): $(PIXMAN_DIR)/Makefile
	@echo
	@echo MAKING PIXMAN...
	@echo
	if [[ -e $@ ]]; then $(MAKE) -C $(PIXMAN_DIR) clean; fi && \
	$(MAKE) -C $(PIXMAN_DIR)
	
$(PIXMAN_DIR)/Makefile: | $(LOCAL_BIN)/$(PKGCONFIG_BIN) $(PIXMAN_DIR)/configure 
	@echo
	@echo CONFIGURING PIXMAN...
	@echo
	cd $(PIXMAN_DIR) && ./configure $(BASE_CONFIG) $(FLAG_CONFIG)
		
$(PIXMAN_DIR)/configure: | $(PIXMAN_DIR).tar.gz
	@echo
	@echo UNTARRING PIXMAN...
	@echo
	$(TAR) xzf $| && patch -p0 <pixman.patch
	
$(PIXMAN_DIR).tar.gz:
	@echo
	@echo TRANSFERRING PIXMAN...
	@echo
	$(WGET) $(PIXMAN_URL) || rm -f $(PIXMAL_DIR).tar.gz

#
# gd
#
# define BGDWIN32 to force DLL import/export dance
# patch to use -no-undefined libtool option to force DLL creation

$(LOCAL_LIB)/$(GD): $(GD_DIR)/$(GD)
	@echo
	@echo INSTALLING GD...
	@echo
	$(MAKE) -C $(GD_DIR) install-strip
	
$(GD_DIR)/$(GD): $(GD_DIR)/Makefile
	@echo
	@echo MAKING GD...
	@echo
	if [[ -e $@ ]]; then $(MAKE) -C $(GD_DIR) clean; fi && \
	$(MAKE) -C $(GD_DIR)
	
$(GD_DIR)/Makefile: $(LOCAL_LIB)/$(ICONV) $(LOCAL_LIB)/$(PNG) $(LOCAL_LIB)/$(FONTCONFIG)| $(GD_DIR)/configure
	@echo
	@echo CONFIGURING GD...
	@echo
	cd $(GD_DIR) && ./configure $(BASE_CONFIG) CFLAGS="-O2 -DBGDWIN32 -mms-bitfields -I$(LOCAL_INCLUDE)" LDFLAGS="-L$(LOCAL_LIB)" --with-freetype=$(LOCAL)
	
$(GD_DIR)/configure: | $(GD_DIR).tar.gz
	@echo
	@echo UNTARRING GD...
	@echo
	$(TAR) xzf $| && patch -p0 <gd.patch && touch $(GD_DIR)/aclocal.m4 && touch $@ && touch $(GD_DIR)/Makefile.in && touch $(GD_DIR)/config.hin
	
$(GD_DIR).tar.gz:
	@echo
	@echo TRANSFERRING GD...
	@echo
	$(WGET) $(GD_URL) || rm -f $(GD_DIR).tar.gz
	
#
# fontconfig
#
# look for freetype and expat here
# patch to run installed instead of local fc-cache, otherwise dependent DLL won't load
# patch to include fcfreetype.h functions in library definition

$(LOCAL_LIB)/$(FONTCONFIG): $(FONTCONFIG_DIR)/src/$(FONTCONFIG)
	@echo
	@echo INSTALLING FONTCONFIG...
	@echo
	$(MAKE) -C $(FONTCONFIG_DIR) install-strip
	
$(FONTCONFIG_DIR)/src/$(FONTCONFIG): $(FONTCONFIG_DIR)/Makefile
	@echo
	@echo MAKING FONTCONFIG...
	@echo
	if [[ -e $@ ]]; then $(MAKE) -C $(FONTCONFIG_DIR) clean; fi && \
	$(MAKE) -C $(FONTCONFIG_DIR)
	
$(FONTCONFIG_DIR)/Makefile: $(LOCAL_LIB)/$(EXPAT) $(LOCAL_LIB)/$(FREETYPE) $(LOCAL_LIB)/$(ICONV) |  $(LOCAL_BIN)/$(PKGCONFIG_BIN) $(FONTCONFIG_DIR)/configure
	@echo
	@echo CONFIGURING FONTCONFIG...
	@echo
	cd $(FONTCONFIG_DIR) && ./configure $(BASE_CONFIG) $(FLAG_CONFIG) --with-freetype-config=$(LOCAL_BIN)/freetype-config --with-expat=$(LOCAL)

$(FONTCONFIG_DIR)/configure: | $(FONTCONFIG_DIR).tar.gz
	@echo
	@echo UNTARRING FONTCONFIG...
	@echo
	$(TAR) xzf $| && patch -p0 <fontconfig.patch
	
$(FONTCONFIG_DIR).tar.gz:
	@echo
	@echo TRANSFERRING FONTCONFIG...
	@echo
	$(WGET) $(FONTCONFIG_URL) || rm -f $(FONTCONFIG_DIR).tar.gz
		
#
# freetype
#
# no install-strip option, so do our own stripping

$(LOCAL_LIB)/$(FREETYPE): $(FREETYPE_DIR)/objs/$(FREETYPE)
	@echo
	@echo INSTALLING FREETYPE...
	@echo
	$(MAKE) -C $(FREETYPE_DIR) install && $(STRIP) $(LOCAL_BIN)/libfreetype-6.dll
	
$(FREETYPE_DIR)/objs/$(FREETYPE): $(FREETYPE_DIR)/config.mk
	@echo
	@echo MAKING FREETYPE...
	@echo
	if [[ -e $@ ]]; then $(MAKE) -C $(FREETYPE_DIR) clean; fi && \
	$(MAKE) -C $(FREETYPE_DIR)

=== cmd/gvpr/lib/Makefile ===
# Makefile.in generated by automake 1.13.4 from Makefile.am.
# cmd/gvpr/lib/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# $Id$ $Revision$


am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/graphviz
pkgincludedir = $(includedir)/graphviz
pkglibdir = $(libdir)/graphviz
pkglibexecdir = $(libexecdir)/graphviz
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = cmd/gvpr/lib
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/argz.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltdl.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/./version.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(gvprdir)"
DATA = $(gvpr_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/gviz/tmp/gviz/graphviz-master/config/missing aclocal-1.13
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
ANN_CFLAGS =  
ANN_LIBS = -lANN  
AR = ar
ARGZ_H = 
AUTOCONF = ${SHELL} /home/gviz/tmp/gviz/graphviz-master/config/missing autoconf
AUTOHEADER = ${SHELL} /home/gviz/tmp/gviz/graphviz-master/config/missing autoheader
AUTOMAKE = ${SHELL} /home/gviz/tmp/gviz/graphviz-master/config/missing automake-1.13
AWK = gawk
CC = gcc -std=gnu99
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -Wextra -Wmissing-include-dirs -Wswitch-default -Wfloat-equal -Wundef -Wshadow -Wpointer-arith -Wbad-function-cast -Wcast-qual -Wconversion -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Wno-unknown-pragmas -Wstrict-prototypes -Wpointer-arith -Wall -ffast-math
CPP = gcc -E
CPPFLAGS =  -I/usr/local/include
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
CYGWIN = no
DARWIN = 
DARWIN9 = no
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DEVIL_INCLUDES = 
DEVIL_LIBS = 
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
EXPAT_CONFIG = 
EXPAT_INCLUDES = 
EXPAT_LIBS = -L/usr/lib64 -lexpat
EXTRA_SMYRNA_LDFLAGS = 
FGREP = /usr/bin/grep -F
FONTCONFIG_CFLAGS = -I/usr/include/freetype2  
FONTCONFIG_CONFIG = 
FONTCONFIG_LIBS = -lfontconfig -lfreetype  
FREETYPE2_CFLAGS = -I/usr/include/freetype2  
FREETYPE2_LIBS = -lfreetype  
FREETYPE_CONFIG = 
GDIPLUS_CFLAGS = 
GDIPLUS_HEADS = 
GDIPLUS_LIBS = 
GDK_CFLAGS = -pthread -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm  
GDK_LIBS = -lgdk-x11-2.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lpango-1.0 -lcairo -lgobject-2.0 -lglib-2.0  
GDK_PIXBUF_CFLAGS = -pthread -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng15 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  
GDK_PIXBUF_LIBS = -lgdk_pixbuf-2.0 -lgobject-2.0 -lglib-2.0  
GDLIB_CFLAGS = 
GDLIB_CONFIG = 
GDLIB_LIBS =  -lgd 
GLADE_CFLAGS = -pthread -I/usr/include/libglade-2.0 -I/usr/include/gtk-2.0 -I/usr/include/libxml2 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm -I/usr/include/harfbuzz  
GLADE_LIBS = -lglade-2.0 -lgtk-x11-2.0 -lxml2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfontconfig -lgobject-2.0 -lglib-2.0 -lfreetype  
GLITZ_CFLAGS = 
GLITZ_LIBS = 
GLUT_CFLAGS = 
GLUT_LIBS =  -lglut
GO = 
GO_INCLUDES = 
GO_LIBS = 
GRAPHVIZ_COLLECTION = development
GRAPHVIZ_SOURCES = graphviz/development/SOURCES
GRAPHVIZ_VERSION_BUILD = 0
GRAPHVIZ_VERSION_COMMIT = 67cd2e5
GRAPHVIZ_VERSION_DATE = 20161225.0304
GRAPHVIZ_VERSION_MAJOR = 2
GRAPHVIZ_VERSION_MICRO = 1
GRAPHVIZ_VERSION_MINOR = 40
GRAPHVIZ_VERSION_REVISION = 0
GREP = /usr/bin/grep
GROFF = groff
GS_CFLAGS = 
GS_LIBS = -lgs
GTKGLEXT_CFLAGS = -pthread -I/usr/include/gtkglext-1.0 -I/usr/lib64/gtkglext-1.0/include -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm -I/usr/include/atk-1.0 -I/usr/include/harfbuzz  
GTKGLEXT_LIBS = -Wl,--export-dynamic -pthread -lgtkglext-x11-1.0 -lgdkglext-x11-1.0 -lGLU -lGL -lXmu -lXt -lSM -lICE -lgtk-x11-2.0 -lpangox-1.0 -lX11 -lgmodule-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfontconfig -lgobject-2.0 -lglib-2.0 -lfreetype  
GTKGL_CFLAGS = -pthread -I/usr/include/gtkgl-2.0 -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm -I/usr/include/harfbuzz  
GTKGL_LIBS = -lgtkgl-2.0 -lGLU -lGL -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfontconfig -lgobject-2.0 -lglib-2.0 -lfreetype  
GTK_CFLAGS = -pthread -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm -I/usr/include/harfbuzz  
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfontconfig -lgobject-2.0 -lglib-2.0 -lfreetype  
GTS_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  
GTS_LIBS = -lgts -lm -lglib-2.0  
GUILE = guile2
GUILE_CFLAGS = -pthread -I/usr/include/guile/2.0  
GUILE_INCLUDES = -pthread -I/usr/include/guile/2.0  
GUILE_LIBS = -lguile-2.0 -lgc  
GVPLUGIN_CONFIG_FILE = config6
GVPLUGIN_VERSION = 6
GVPLUGIN_VERSION_INFO = 6:0:0
INCLTDL = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTGOSIZE = 64
IO = 
IO_INCLUDES = 
IO_LIBS = 
IPSEPCOLA_INCLUDES = 
IPSEPCOLA_LIBS = 
JAVA = java
JAVA_INCLUDES =  -I/usr/lib/jvm/java/include -I/usr/lib/jvm/java/include/linux
JAVA_LIBS = 
JNI_EXTRA_LDFLAGS = -shrext .so
JSHEXT = so
LASI_CFLAGS = -pthread -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  
LASI_LIBS = -lLASi -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lfreetype -lgobject-2.0 -lglib-2.0  
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  -L/usr/local/lib
LEX = flex
LEXLIB = 
LEX_OUTPUT_ROOT = lex.yy
LIBADD_DL = -ldl 
LIBADD_DLD_LINK = 
LIBADD_DLOPEN = -ldl
LIBADD_SHL_LOAD = 
LIBGEN_LIBS = 
LIBLTDL = -lltdl
LIBLTDL_LDFLAGS = 
LIBOBJS = 
LIBPOSTFIX = 64
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTDLDEPS = 
LTDLINCL = 
LTDLOPEN = libltdl
LTLIBOBJS = 
LT_CONFIG_H = config.h
LT_DLLOADERS =  libltdl/dlopen.la
LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la 
LUA = lua
LUACONFIG = 
LUA_INCLUDES =   
LUA_INSTALL_DIR = /usr/lib64/lua/5.1
LUA_LIBS =  -llua -lm -ldl  
MAKEINFO = ${SHELL} /home/gviz/tmp/gviz/graphviz-master/config/missing makeinfo
MANIFEST_TOOL = :
MATH_LIBS = -lm
MCS = mcs
MINGW32 = no
MING_CFLAGS = 
MING_LIBS =

=== debian/changelog ===
graphviz (2.40.1-2) unstable; urgency=medium

  * Upload to Sid.
  * Fix architecture independent build (closes: #892701).
  * Update watch file.
  * Disable Vcs-* fields for now.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 24 Mar 2018 13:39:24 +0000

graphviz (2.40.1-1) experimental; urgency=medium

  * New major upstream release (closes: #884479).
  * Use short debhelper rules format.
  * Drop libgnomeui-dev build dependency (closes: #887673).
  * Switch back to Guile 2.0 build dependency.
  * Rename libgv-python to python-gv package.
  * Add liblab-gamut1 package.
  * Drop graphviz-dev old transitional package.
  * Update Standards-Version to 4.1.3 .
  * Update debhelper level to 11:
    - remove dh-autoreconf build dependency,
    - remove autotools-dev build dependency.

  [ Matthias Klose <doko@ubuntu.com> ]
  * Build new libgv-php7 .
  * Build a python3-gv package (closes: #691023).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 25 Feb 2018 14:26:18 +0000

graphviz (2.38.0-19) unstable; urgency=medium

  * Explicitly build without ghostscript (closes: #887898).
  * Build with Guile 2.2 (closes: #885198).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 21 Jan 2018 17:59:28 +0000

graphviz (2.38.0-18) unstable; urgency=medium

  * Don't install 'dot' but symlink to its libgvc6-config-update variant
    (closes: #868546).
  * Use ldconfig trigger for libgvc6 instead of direct call in postrm.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 18 Sep 2017 19:45:34 +0000

graphviz (2.38.0-17) unstable; urgency=medium

  * Correct host value for configure in Jonathan's upload (closes: #855418).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 19 Feb 2017 10:32:17 +0000

graphviz (2.38.0-16.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use DEB_BUILD_MULTIARCH from dpkg-architecture to avoid
    changing paths when the baseline ISA changes (closes: #843496)

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 28 Jan 2017 13:26:14 +0000

graphviz (2.38.0-16) unstable; urgency=low

  * Fix libgv-python broken symlink (closes: #839176).
  * Add libann-dev to build dependency to build tool mingle (closes: #830998).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 20 Oct 2016 19:43:26 +0200

graphviz (2.38.0-15) unstable; urgency=low

  * Backport upstream development of following the move of libgd from
    gdlib-config to pkg-config (closes: #827806).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 28 Aug 2016 11:17:28 +0000

graphviz (2.38.0-14) unstable; urgency=medium

  * Disable PHP5 bindings binary package (closes: #821676).
  * Install Graphviz GDK plugin as well (closes: #825576).
  * Remove bashism from gvmap.sh (closes: #772234).
  * Make rebuildable.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 10 Jun 2016 10:20:16 +0000

graphviz (2.38.0-13) unstable; urgency=low

  * Update copyright file to be in format 1.0 and license be EPL
    (closes: #795317).
  * Build with GTS Library to interconnected triangles support
    (closes: #756455).
  * Build with -fno-ipa-sra on mipsel and mips to workaround GCC bug
    (closes: #804297).
  * Update libgraphviz-dev dependency (closes: #702683, #754053).
  * Build fine with ruby1.9 installed (closes: #719248).
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 11 Apr 2016 13:58:14 +0000

graphviz (2.38.0-12) unstable; urgency=low

  * Build with Ruby 2.2 version.
  * Remove uninstalled smyrna documentation (closes: #596707).

  [ Antonio Terceiro <terceiro@debian.org> ]
  * Fix FTBFS with Ruby 2.2 as default (closes: #804799).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 17 Nov 2015 18:25:54 +0100

graphviz (2.38.0-11) unstable; urgency=low

  * Backport build fix of RedHat for Ruby 2.2 transition (closes: #803587).
  * Remove libltdl-dev from build dependencies (closes: #746012).
  * Call ldconfig during libgvc6 removal.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 31 Oct 2015 17:09:29 +0100

graphviz (2.38.0-10) unstable; urgency=low

  * Use the real libgd-dev for build dependency and not the old transitional
    one (closes: #791852).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 08 Jul 2015 20:25:54 +0000

graphviz (2.38.0-9) unstable; urgency=medium

  * Finish dh_python2 transition and use 2.7 as minimal version for Python
    (closes: #783680).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 20 May 2015 17:03:32 +0000

graphviz (2.38.0-8) unstable; urgency=medium

  * Add dh-python to build depends.
  * Add PHP module loading ini (closes: #649015).
  * Update Standars-Version to 3.9.6 .
  * New maintainer (closes: #736605).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 13 Apr 2015 19:25:56 +0000

=== debian/control ===
Source: graphviz
Section: graphics
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Standards-Version: 4.1.3
Build-Depends: tk-dev,
 tcl-dev,
 debhelper (>= 11~),
 dh-python,
 libfreetype6-dev,
 zlib1g-dev,
 libjpeg-dev,
 libpng-dev,
 libxaw7-dev,
 bison,
 flex,
 libexpat1-dev,
 libfontconfig1-dev,
 swig,
 libperl-dev,
 libgd-dev (>= 2.0.33),
 guile-2.0-dev,
 groff-base,
 ghostscript,
 lua5.2,
 liblua5.2-dev,
 ruby,
 ruby-dev (>= 1:2.2),
 php-dev,
 python-dev (>= 2.6.6-3~),
 python3-dev,
 libcairo2-dev,
 libpango1.0-dev,
 d-shlibs,
 chrpath,
 libgtk2.0-dev,
 libgts-dev,
 libann-dev
X-Python-Version: >= 2.7
Build-Conflicts: tcl8.3, tcl8.4, tcl8.5
#Vcs-Git: git://git.debian.org/git/collab-maint/graphviz.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/graphviz.git
Homepage: https://www.graphviz.org/

Package: graphviz
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: gdtclft
Recommends: fonts-liberation
Suggests: gsfonts, graphviz-doc
Description: rich set of graph drawing tools
 Graph drawing addresses the problem of visualizing structural information
 by constructing geometric representations of abstract graphs and networks.
 Automatic generation of graph drawings has important applications in key
 technologies such as database design, software engineering, VLSI and
 network design and visual interfaces in other domains. Situations where
 these tools might be particularly useful include:
 .
   * you would like to restructure a program and first need to understand
     the relationships between its types, procedures, and source files
   * you need to find the bottlenecks in an Internet backbone - not only
     individual links, but their relationships
   * you're debugging a protocol or microarchitecture represented as a
     finite state machine and need to figure out how a certain
     error state arises
   * you would like to browse a database schema, knowledge base, or
     distributed program represented graphically
   * you would like to see an overview of a collection of linked documents
   * you would like to discover patterns and communities of interest in a
     database of telephone calls or e-mail messages
 .
 This package contains the command-line tools.

Package: libgv-guile
Architecture: any
Section: interpreters
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Guile bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the guile (2.0) bindings.

Package: libgv-lua
Architecture: any
Section: interpreters
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lua bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the lua5.2 bindings.

Package: libgv-perl
Architecture: any
Section: perl
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: graphviz (<< 2.12-1)
Description: Perl bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Perl bindings.

Package: libgv-php7
Architecture: any
Section: php
Depends: ${shlibs:Depends}, ${php:Depends}, ${misc:Depends}
Description: PHP7 bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the PHP7 bindings.

Package: python-gv
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Breaks: libgv-python (<< 2.40.1-0~)
Replaces: libgv-python (<< 2.40.1-0~)
Provides: libgv-python, ${python:Provides}
Description: Python bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Python bindings.

Package: python3-gv
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
XB-Python-Version: ${python3:Versions}
Breaks: libgv-python (<< 2.40.1-0~)
Replaces: libgv-python (<< 2.40.1-0~)
Provides: ${python3:Provides}
Description: Python3 bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Python3 bindings.

Package: libgv-ruby
Architecture: any
Section: ruby
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ruby bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Ruby bindings.


Package: libgv-tcl
Architecture: any
Section: interpreters
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: graphviz (<< 2.12-1)
Description: Tcl bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Tcl (8.6) bindings.

Package: libcgraph6
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphviz4
Description: rich set of graph drawing tools - cgraph library
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the cgraph library.

Package: libcdt5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphviz4
Description: rich set of graph drawing tools - cdt library
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the cdt library.

Package: libpathplan4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphviz4
Description: rich set of graph drawing tools - pathplan library
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the pathplan library.

Package: libgvc6
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libgv-php5
Conflicts: libgraphviz4, libgvc5
Replaces: libgv-php5
Description: rich set of graph drawing tools - gvc library
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the gvc library.

Package: libgvc6-plugins-gtk
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphviz4, libgvc5-plugins-gtk
Description: rich set of graph drawing tools - gtk plugins
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the gtk and gdk-pixbuf plugins.

Package: libgvpr2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphviz4
Replaces: libgvpr1
Description: rich set of graph drawing tools - gvpr library
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the gvpr library.

Package: libxdot4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphviz4
Description: rich set of graph drawing tools - xdot library
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the xdot library.

Package: liblab-gamut1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: rich set of graph drawing tools - liblab_gamut library
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the liblab_gamut library.

Package: libgraphviz-dev
Architecture: any
Section: libdevel
Depends: libcdt5 (= ${binary:Version}),
 libcgraph6 (= ${binary:Version}),
 libgvc6 (= ${binary:Version}),
 libgvpr2 (= ${binary:Version}),
 libpathplan4 (= ${binary:Version}),
 libxdot4 (= ${binary:Version}),
 liblab-gamut1 (= ${binary:Version}),
 libgvc6-plugins-gtk (= ${binary:Version}),
 ${devlibs:Depends}, ${misc:Depends}
Conflicts: graphviz-dev (<< 2.12-1), libgraphviz3-dev, libgraphviz4-dev (<< 2.16-3)
Replaces: libgraphviz3-dev, libgraphviz4-dev (<< 2.16-3)
Provides: graphviz-dev
Description: graphviz libs and headers against which to build applications
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package installs the libraries and headers necessary to link graphviz
 library routines into an application. It also installs additional man pages.
 .
 Note: A graphviz user doesn't need to install this package.

Package: graphviz-doc
Depends: ${misc:Depends}
Architecture: all
Section: doc
Conflicts: graphviz (<< 2.12-1)
Suggests: graphviz
Description: additional documentation for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package installs HTML and PDF documentation for Graphviz, as well as
 examples.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/python/python.mk

ifeq ($(DEB_HOST_ARCH_OS),hurd)
CONFIGURE_LIBS    = LIBS="-Wl,--no-as-needed -Wl,-lpthread -Wl,--as-needed"
endif

ifneq (,$(filter $(DEB_HOST_ARCH), mipsel mips))
DEB_CFLAGS_MAINT_APPEND += "-fno-ipa-sra"
endif

PYTHON_VERSIONS  = $(shell pyversions -r)
PYTHON3_VERSIONS = $(shell py3versions -r)

# sonames for various libraries
SO_CGRAPH	= 6
SO_CDT		= 5
SO_GVC		= 6
SO_PATHPLAN	= 4
SO_XDOT		= 4
SO_GVPR		= 2
SO_LAB-GAMUT	= 1

PHP_EXTENSION_DIR = $(shell php-config --extension-dir)
PHP_PACKAGE       = $(CURDIR)/debian/libgv-php7

override_dh_clean:
	dh_clean
	rm -f $(CURDIR)/tclpkg/gv/*.pdf

override_dh_auto_configure:
	dh_auto_configure -- \
	--disable-silent-rules \
	--prefix=/usr \
	--datadir=\$${prefix}/share \
	--infodir=\$${prefix}/share/info \
	--mandir=\$${prefix}/share/man \
	--disable-static \
	--without-included-ltdl \
	--with-pangocairo \
	--with-x \
	--with-gdk-pixbuf \
	--with-gnomeui \
	--with-gtk \
	--with-gts \
	--without-ipsepcola \
	--without-rsvg \
	--enable-guile \
	--enable-lua \
	--enable-php \
	--enable-ruby \
	--enable-tcl \
	--disable-java \
	--disable-r \
	--disable-sharp \
	--enable-python2 \
	--enable-python3 \
	$(CONFIGURE_LIBS) \
	$(shell $(dpkg_buildflags) --export=configure)

override_dh_auto_test:
	echo Self tests are buggy

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/tmp/ -name \*.la -delete
	# Duplicate library
	rm $(CURDIR)/debian/tmp/usr/lib/lua/gv.so
	rm $(CURDIR)/debian/tmp/usr/lib/tcl*/graphviz/libgv_tcl.so

override_dh_install-arch:
	dh_install --arch
	mv $(CURDIR)/debian/libgvc$(SO_GVC)/usr/sbin/dot \
		$(CURDIR)/debian/libgvc$(SO_GVC)/usr/sbin/libgvc$(SO_GVC)-config-update
	# Symlink dot due to #868546 (debug packages conflict)
	rm $(CURDIR)/debian/graphviz/usr/bin/dot
	ln -s /usr/sbin/libgvc$(SO_GVC)-config-update \
		$(CURDIR)/debian/graphviz/usr/bin/dot

override_dh_install-indep:
	dh_install --indep
	# Remove duplicate changelog
	rm -f $(CURDIR)/debian/graphviz-doc/usr/share/doc/graphviz/ChangeLog

%:
	dh $@ --with python2,python3

.PHONY: override_dh_clean override_dh_auto_configure override_dh_auto_test \
	override_dh_auto_install override_dh_install-arch \
	override_dh_install-indep

=== debian/watch ===
version=4
https://gitlab.com/graphviz/graphviz/tags?sort=updated_desc .*stable_release_(\d\S+)/archive\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
